#include<bits/stdc++.h>
using namespace std;
long long f(long long n,long long k) {
    while (n>0) {
        k*=n%10;
        n/=10;
    }
    return k;
}
int main() {
    long long t;
    cin>>t;
    for (long long y=0; y<t; y++) {
        vector <long long> v;
        long long n;
        cin>>n;
        long long zb=0;
        for (long long i=1; i<=n; i++) {
            long long proi=f(i,1);
            if (binary_search(v.begin(),v.end(),proi)==false) {
                v.push_back(proi);
                sort (v.begin(), v.end());
                zb++;
            }
        }
        cout<<zb<<endl;
    }
}